---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfmodw005.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51A20, symBinAddr: 0xC620, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53960, symBinAddr: 0xE560, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53D50, symBinAddr: 0xE950, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54CF0, symBinAddr: 0xF8F0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54D00, symBinAddr: 0xF900, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51540, symBinAddr: 0xC390, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51544, symBinAddr: 0xC394, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51548, symBinAddr: 0xC398, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x516A0, symBinAddr: 0xC3A0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51758, symBinAddr: 0xC458, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5175C, symBinAddr: 0xC45C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51760, symBinAddr: 0xC460, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51764, symBinAddr: 0xC464, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51768, symBinAddr: 0xC468, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51770, symBinAddr: 0xC470, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51788, symBinAddr: 0xC488, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51790, symBinAddr: 0xC490, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51798, symBinAddr: 0xC498, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x517A0, symBinAddr: 0xC4A0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x517A8, symBinAddr: 0xC4A8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL10actual_fid, symObjAddr: 0x517F0, symBinAddr: 0xC4B0, symSize: 0x0 }
  - { offsetInCU: 0x90ED, offset: 0x90ED, size: 0x8, addend: 0x0, symName: __ZL10actual_sig, symObjAddr: 0x517F8, symBinAddr: 0xC4B8, symSize: 0x0 }
  - { offsetInCU: 0x9106, offset: 0x9106, size: 0x8, addend: 0x0, symName: __ZL10actual_val, symObjAddr: 0x51988, symBinAddr: 0xC618, symSize: 0x0 }
  - { offsetInCU: 0x911F, offset: 0x911F, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x517F9, symBinAddr: 0xC4B9, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51800, symBinAddr: 0xC4C0, symSize: 0x0 }
  - { offsetInCU: 0x9158, offset: 0x9158, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x51808, symBinAddr: 0xC4C8, symSize: 0x0 }
  - { offsetInCU: 0x9171, offset: 0x9171, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51818, symBinAddr: 0xC4D8, symSize: 0x0 }
  - { offsetInCU: 0x918A, offset: 0x918A, size: 0x8, addend: 0x0, symName: __ZL4flds, symObjAddr: 0xE690, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x9208, offset: 0x9208, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51950, symBinAddr: 0xC610, symSize: 0x0 }
  - { offsetInCU: 0x9261, offset: 0x9261, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3D70, symSize: 0x80 }
  - { offsetInCU: 0x92F6, offset: 0x92F6, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3CC0, symSize: 0xB0 }
  - { offsetInCU: 0x9351, offset: 0x9351, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3BC0, symSize: 0x100 }
  - { offsetInCU: 0x95E4, offset: 0x95E4, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3DF0, symSize: 0x220 }
  - { offsetInCU: 0x97C9, offset: 0x97C9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4010, symSize: 0xA0 }
  - { offsetInCU: 0x987C, offset: 0x987C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x40B0, symSize: 0x110 }
  - { offsetInCU: 0x9972, offset: 0x9972, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x41C0, symSize: 0x150 }
  - { offsetInCU: 0x9AA3, offset: 0x9AA3, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4310, symSize: 0x30 }
  - { offsetInCU: 0x9B64, offset: 0x9B64, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4340, symSize: 0x150 }
  - { offsetInCU: 0x9D5C, offset: 0x9D5C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4490, symSize: 0x160 }
  - { offsetInCU: 0x9EE8, offset: 0x9EE8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x45F0, symSize: 0x1B0 }
  - { offsetInCU: 0xA103, offset: 0xA103, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x47A0, symSize: 0xA0 }
  - { offsetInCU: 0xA1D2, offset: 0xA1D2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4840, symSize: 0x20 }
  - { offsetInCU: 0xA209, offset: 0xA209, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4860, symSize: 0x20 }
  - { offsetInCU: 0xA240, offset: 0xA240, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4880, symSize: 0x20 }
  - { offsetInCU: 0xA3AF, offset: 0xA3AF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x48A0, symSize: 0x1A0 }
  - { offsetInCU: 0xA6D5, offset: 0xA6D5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4A40, symSize: 0x80 }
  - { offsetInCU: 0xA79E, offset: 0xA79E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4AC0, symSize: 0x6A0 }
  - { offsetInCU: 0xB333, offset: 0xB333, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA680, symBinAddr: 0x62D0, symSize: 0xB0 }
  - { offsetInCU: 0xB3AA, offset: 0xB3AA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5160, symSize: 0x70 }
  - { offsetInCU: 0xB466, offset: 0xB466, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x51D0, symSize: 0xA0 }
  - { offsetInCU: 0xB591, offset: 0xB591, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5270, symSize: 0x40 }
  - { offsetInCU: 0xB687, offset: 0xB687, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x52B0, symSize: 0x2B0 }
  - { offsetInCU: 0xBA2D, offset: 0xBA2D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5560, symSize: 0xC0 }
  - { offsetInCU: 0xBB73, offset: 0xBB73, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5620, symSize: 0x10 }
  - { offsetInCU: 0xBC35, offset: 0xBC35, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5630, symSize: 0x220 }
  - { offsetInCU: 0xBF32, offset: 0xBF32, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5850, symSize: 0x10 }
  - { offsetInCU: 0xBF8F, offset: 0xBF8F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5860, symSize: 0x150 }
  - { offsetInCU: 0xC15C, offset: 0xC15C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D60, symBinAddr: 0x59B0, symSize: 0x10 }
  - { offsetInCU: 0xC1B9, offset: 0xC1B9, size: 0x8, addend: 0x0, symName: _FieldModification, symObjAddr: 0x9D70, symBinAddr: 0x59C0, symSize: 0x1C0 }
  - { offsetInCU: 0xC2A9, offset: 0xC2A9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw005_getReady, symObjAddr: 0x9F30, symBinAddr: 0x5B80, symSize: 0x240 }
  - { offsetInCU: 0xC46D, offset: 0xC46D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw005_check, symObjAddr: 0xA170, symBinAddr: 0x5DC0, symSize: 0x500 }
  - { offsetInCU: 0xC4FF, offset: 0xC4FF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw005_getRes, symObjAddr: 0xA670, symBinAddr: 0x62C0, symSize: 0x10 }
  - { offsetInCU: 0xC537, offset: 0xC537, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA730, symBinAddr: 0x6380, symSize: 0x36A }
...
